.TH "mtx-context" "1" "01-01-2023" "version 1.04" "ConTeXt Process Management"
.SH NAME
 mtx-context - ConTeXt Process Management
.SH SYNOPSIS
.B mtxrun --script context [
.I OPTIONS ...
.B ] [
.I FILENAMES
.B ]
.SH DESCRIPTION
.B ConTeXt Process Management
.SH OPTIONS: BASIC
.TP
.B --run
process (one or more) files (default action)
.TP
.B --make
create context formats
.TP
.B --ctx=name
use ctx file (process management specification)
.TP
.B --noctx
ignore ctx directives and flags
.TP
.B --interface
use specified user interface (default: en)
.TP
.B --autopdf
close pdf file in viewer and start pdf viewer afterwards
.TP
.B --purge
purge files either or not after a run (--pattern=...)
.TP
.B --purgeall
purge all files either or not after a run (--pattern=...)
.TP
.B --usemodule=list
load the given module or style, normally part of the distribution
.TP
.B --environment=list
load the given environment file first (document styles)
.TP
.B --mode=list
enable given the modes (conditional processing in styles)
.TP
.B --path=list
also consult the given paths when files are looked for
.TP
.B --arguments=list
set variables that can be consulted during a run (key/value pairs)
.TP
.B --randomseed=number
set the randomseed
.TP
.B --result=name
rename the resulting output to the given name
.TP
.B --trackers=list
set tracker variables (show list with --showtrackers)
.TP
.B --directives=list
set directive variables (show list with --showdirectives)
.TP
.B --silent=list
disable logcatgories (show list with --showlogcategories)
.TP
.B --strip
strip Lua code (only meant for production where no errors are expected)
.TP
.B --errors=list
show errors at the end of a run, quit when in list (also when --silent)
.TP
.B --htmlerrorpage
generate html error page instead (optional: =scite)
.TP
.B --noconsole
disable logging to the console (logfile only)
.TP
.B --nodummy
don't create a dummy file (can confuse pdf viewers that keep file in view)
.TP
.B --purgeresult
purge result file before run
.TP
.B --forcexml
force xml stub
.TP
.B --forcecld
force cld (context lua document) stub
.TP
.B --forcelua
force lua stub (like texlua)
.TP
.B --forcemp
force mp stub
.TP
.B --arrange
run extra imposition pass, given that the style sets up imposition
.TP
.B --noarrange
ignore imposition specifications in the style
.TP
.B --pages
report pagenumbers of names pages and list references (--page=... or --page=...)
.TP
.B --jit
use luajittex with jit turned off (only use the faster virtual machine)
.TP
.B --jiton
use luajittex with jit turned on (in most cases not faster, even slower)
.TP
.B --once
only run once (no multipass data file is produced)
.TP
.B --runs
process at most this many times
.TP
.B --forcedruns
process this many times (permits for optimization trial runs)
.TP
.B --batchmode
run without stopping and do not show messages on the console
.TP
.B --nonstopmode
run without stopping
.TP
.B --nosynctex
never initializes synctex (for production runs)
.TP
.B --synctex
run with synctex enabled (better use \setupsynctex[state=start])
.TP
.B --nodates
omit runtime dates in pdf file (optional value: a number (this 1970 offset time) or string "YYYY-MM-DD HH:MM")
.TP
.B --nocompression
forcefully turns off compression in the backend
.TP
.B --trailerid
alternative trailer id (or constant one)
.TP
.B --generate
generate file database etc. (as luatools does)
.TP
.B --paranoid
do not descend to .. and ../..
.TP
.B --version
report installed context version
.TP
.B --global
assume given file present elsewhere
.TP
.B --nofile
use dummy file as jobname
.SH OPTIONS: EXPERT
.TP
.B --touch
update context version number (also provide --expert, optionally provide --basepath)
.TP
.B --nostatistics
omit runtime statistics at the end of the run
.TP
.B --profile
profile job (use: mtxrun --script profile --analyze)
.TP
.B --timing
generate timing and statistics overview
.TP
.B --keeptuc
keep previous tuc files (jobname-tuc-[run].tmp)
.TP
.B --keeppdf
keep previous pdf files (jobname-pdf-keep.tmp)
.TP
.B --keeplog
keep previous log files (jobname-log-[run].tmp)
.TP
.B --lmtx
force lmtx mode (when available)
.TP
.B --overloadmode=error|warning|0--6|255
enable csname overload checking
.TP
.B --extra=name
process extra (mtx-context-... in distribution)
.TP
.B --extras
show extras
.TP
.B --ownerpassword
encrypt the (pdf) file using this master password
.TP
.B --userpassword
use an additional password for opening the document
.TP
.B --permissions
list of: print, modify, extract, add, fillin, assemble, quality
.SH OPTIONS: SPECIAL
.TP
.B --pdftex
process file with texexec using pdftex
.TP
.B --xetex
process file with texexec using xetex
.TP
.B --mkii
process file with texexec
.TP
.B --pipe
do not check for file and enter scroll mode (--dummyfile=whatever.tmp)
.TP
.B --sandbox
process file in a limited environment
.TP
.B --addbinarypath
prepend the (found) binarypath to runners
.SH AUTHOR
More information about ConTeXt and the tools that come with it can be found at:


.B "maillist:"
ntg-context@ntg.nl / http://www.ntg.nl/mailman/listinfo/ntg-context

.B "webpage:"
http://www.pragma-ade.nl / http://tex.aanhet.net

.B "wiki:"
http://contextgarden.net
